#!/bin/bash


MIRROR_HOST=192.168.1.100

echo
echo If you want to use the mirror repsoitory, edit the file /etc/apt/sources.list and add lines like follows:
echo
echo deb      http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid          main restricted universe multiverse
echo deb-src  http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid          main restricted universe multiverse
echo deb      http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid-updates  main restricted universe multiverse
echo deb-src  http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid-updates  main restricted universe multiverse
echo deb      http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid-security main restricted universe multiverse
echo deb-src  http://$MIRROR_HOST/ubuntu/mirror/archive.ubuntu.com/ubuntu intrepid-security main restricted universe multiverse
echo
echo Modify the host name to suit for client machines other than the local machine
echo


#
# Packages to install to set up a friendly default development environment on Ubuntu
#
sudo apt-get install g++ gcc gdb make 
sudo apt-get install vim ctags subversion
sudo apt-get install manpages manpages-dev manpages-posix-dev
sudo apt-get install libcppunit-1.12-1 libcppunit-doc
sudo apt-get install libqt4-dev libqt4-gui
sudo apt-get install doxygen libqttestrunner1c2a qdevelop
sudo apt-get install kchmviewer-nokde gnochm
# llvm



